<!--
 - Created by MarosGrajcar on 2/12/2020.
 -->

<!-- Eqt System Information Section -->
<template>
    <!--SYSTEM INFORMATION HEADER-->
    <div class="slds-text-title_caps slds-section slds-p-around--small"
         style="background-color:#f5f5f5"><b>System Information</b>
    </div>

    <template if:true={equipmentForm}>

        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-wrap slds-grid slds-p-around--small slds-show_medium">
            <div class="slds-size--6-of-12 slds-p-horizontal--small slds-hyphenate">

                <b>Created By</b>
                <a onclick={navigateToUser} data-userid={equipmentForm.CreatedById}
                   class="slds-p-left--medium">{equipmentForm.CreatedBy.Name}</a>

                <p class="slds-p-top--small"><b class="slds-p-top--small">Created Date</b>
                    <lightning-formatted-date-time class="slds-p-left--medium"
                                                   value={equipmentForm.CreatedDate}
                                                   year="numeric"
                                                   month="short"
                                                   day="2-digit">
                    </lightning-formatted-date-time>
                </p>
            </div>

            <div class="slds-size--6-of-12 slds-p-horizontal--small slds-hyphenate">

                <b>Last Modified By</b>
                <a onclick={navigateToUser} data-userid={equipmentForm.LastModifiedById}
                   class="slds-p-left--medium">{equipmentForm.LastModifiedBy.Name}</a>

                <p class="slds-p-top--small"><b class="slds-p-top--small">Last Modified Date</b>
                    <lightning-formatted-date-time class="slds-p-left--medium"
                                                   value={equipmentForm.LastModifiedDate}
                                                   year="numeric"
                                                   month="short"
                                                   day="2-digit">
                    </lightning-formatted-date-time>
                </p>
            </div>

        </div>

        <!--SMALL DEVICES-->
        <div class="slds-hide_medium slds-p-top--small">

            <b>Created By</b>
            <p>
                <a onclick={navigateToUser} data-userid={equipmentForm.CreatedById}>{equipmentForm.CreatedBy.Name}</a>
            </p>

            <div class="slds-p-top--small">
                <b>Created Date</b>
                <p>
                    <lightning-formatted-date-time value={equipmentForm.CreatedDate}
                                                   year="numeric"
                                                   month="short"
                                                   day="2-digit">
                    </lightning-formatted-date-time>
                </p>
            </div>

            <div class="slds-p-top--small">
                <b>Last Modified By</b>
                <p>
                    <a onclick={navigateToUser} data-userid={equipmentForm.LastModifiedById}>{equipmentForm.LastModifiedBy.Name}</a>
                </p>
            </div>

            <div class="slds-p-top--small">
                <b>Last Modified Date</b>
                <p>
                    <lightning-formatted-date-time value={equipmentForm.LastModifiedDate}
                                                   year="numeric"
                                                   month="short"
                                                   day="2-digit">
                    </lightning-formatted-date-time>
                </p>
            </div>

        </div>

    </template>
</template>